## python-oslo.serialization 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=1.3
six>=1.7.0
# Only for timeutils in openstack.common - once we're using the
# library version this can be removed.
iso8601>=0.1.9
oslo.utils>=0.3.0                       # Apache-2.0

=== debian/changelog ===
python-oslo.serialization (1.0.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Sep 2014 03:04:17 -0400

python-oslo.serialization (1.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 12:43:27 -0400

python-oslo.serialization (0.1.0-1ubuntu1) utopic; urgency=medium

  * d/p/datetime-builtin.patch: Ensure tests understand the concept of
    a built-in datetime module, fixing FTBFS (LP: #1369460).

 -- James Page <james.page@ubuntu.com>  Mon, 15 Sep 2014 10:14:49 +0100

python-oslo.serialization (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #760539)

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 11:16:12 +0800

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-hacking,
                     python-mock (>= 1.0),
                     python-netaddr (>= 0.7.6),
                     python-oslo.i18n (>= 0.2.0),
                     python-oslo.utils (>= 0.2.0),
                     python-oslosphinx (>= 2.2.0.0~a2),
                     python-oslotest (>= 1.1.0.0~a1),
                     python-simplejson (>= 2.2.0),
                     python3-mock (>= 1.0),
                     python3-netaddr (>= 0.7.6),
                     python3-oslo.i18n (>= 0.2.0),
                     python3-oslo.utils (>= 0.2.0),
                     python3-oslotest (>= 1.1.0.0~a1),
                     python3-simplejson (>= 2.2.0)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.serialization.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.serialization.git
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo.serialization
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-oslo.utils (>= 0.2.0),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends}
Description: utilities for serialization , especially JSON - Python 2.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.serialization
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel (>= 1.3),
         python3-iso8601 (>= 0.1.9),
         python3-oslo.utils (>= 0.2.0),
         python3-six (>= 1.7.0),
         ${misc:Depends},
         ${python3:Depends}
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.serialization.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.serialization; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.serialization; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo.serialization/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in $(PYTHONS) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
# This is disabled until I find a way to fix the missing __init__.py in
# Python 3.4 in the namespaced oslo.*
#	set -ex ; if [ `lsb_release -c | awk '{print $2}'` = "wheezy" ] ; then \
#		echo "No Python3 unit tests in Wheezy" ; \
#	else \
#	  for i in $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` && \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#	  done ; \
#	fi
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.serialization 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# NOTE(harlowja): Because oslo.serialization is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.serialization means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
six>=1.9.0
msgpack-python>=0.4.0
# Only for timeutils in openstack.common - once we're using the
# library version this can be removed.
iso8601>=0.1.9
oslo.utils>=1.2.0                       # Apache-2.0
pytz>=2013.6

=== debian/changelog ===
python-oslo.serialization (1.4.0-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Mar 2015 11:03:48 +0000

python-oslo.serialization (1.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Update build deps.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 09:29:09 -0400

python-oslo.serialization (1.3.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/p/*: Refreshed.
    - d/control: Add BD's on python{3}-msgpack.
  * d/rules,python-oslo-serialization-doc.doc-base: Correct install
    paths and doc-base for new package names.
  * d/control: Add dh-python to BD's.

 -- James Page <james.page@ubuntu.com>  Wed, 18 Feb 2015 15:26:08 +0000

python-oslo.serialization (1.2.0-0ubuntu2) vivid; urgency=medium

  * debian/control: Fix broken Breaks/Replaces. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Feb 2015 08:49:43 -0500

python-oslo.serialization (1.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Transition to new namespace.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 11:10:36 -0500

python-oslo.serialization (1.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/patches/fix-python3.2-unicode.patch: Refreshed
  * debian/patches/datetime-builtin.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 09:16:55 -0500

python-oslo.serialization (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 16:53:21 +0800

python-oslo.serialization (0.1.0-2) experimental; urgency=medium

  * Added Ubuntu patch: Deal with built-in datetime. Thanks to James page for
    the bug report and patch (Closes: #761634).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Sep 2014 21:04:56 +0800

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-hacking,
                     python-mock (>= 1.0),
                     python-msgpack (>= 0.4.0),
                     python-netaddr (>= 0.7.12),
                     python-oslo-i18n (>= 0.3.0),
                     python-oslo-utils (>= 0.3.0),
                     python-oslosphinx (>= 2.2.0.0~a2),
                     python-oslotest (>= 1.1.0.0),
                     python-simplejson (>= 2.2.0),
                     python3-mock (>= 1.0),
                     python3-msgpack (>= 0.4.0),
                     python3-netaddr (>= 0.7.12),
                     python3-oslo-i18n (>= 0.3.0),
                     python3-oslo-utils (>= 0.3.0),
                     python3-oslotest (>= 1.1.0.0),
                     python3-simplejson (>= 2.2.0)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.serialization.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.serialization.git
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo-serialization
Breaks: python-oslo.serialization ( << 1.2.0-0ubuntu1~)
Replaces: python-oslo.serialization ( << 1.2.0-0ubuntu1~)
Architecture: all
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-oslo-utils (>= 0.3.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Description: utilities for serialization , especially JSON - Python 2.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 2.x module.

Package: python3-oslo-serialization
Breaks: python3-oslo.serialization ( << 1.2.0-0ubuntu3~)
Replaces: python3-oslo.serialization ( << 1.2.0-0ubuntu3~)
Architecture: all
Depends: python3-babel (>= 1.3),
         python3-iso8601 (>= 0.1.9),
         python3-oslo-utils (>= 0.3.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

Package: python-oslo-serialization-doc
Section: doc
Breaks: python-oslo.serialization-doc ( << 1.2.0-0ubuntu1~)
Replaces: python-oslo.serialization-doc ( << 1.2.0-0ubuntu1~)
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

Package: python-oslo.serialization
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, python-oslo-serialization
Description: transitional dummy package for python-oslo.serialization
 This transtional package is safe to remove.

Package: python-oslo.serialization-doc
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, python-oslo-serialization-doc
Description: transitional dummy package for python3-oslo.serialization
 This transtional package is safe to remove.

Package: python3-oslo.serialization
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, python3-oslo-serialization
Description: transitional dummy package for python3-oslo.serialization
 This transtional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -14,18 +14,18 @@
 override_dh_install:
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo.serialization; \
+			--root $(CURDIR)/debian/python-oslo-serialization; \
 	done
 	set -e && for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-oslo.serialization; \
+			--root $(CURDIR)/debian/python3-oslo-serialization; \
 	done
-	rm -rf $(CURDIR)/debian/python*-oslo.serialization/usr/lib/python*/dist-packages/*.pth
+	rm -rf $(CURDIR)/debian/python*-oslo-serialization/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests"
-	set -ex ; for i in $(PYTHONS) ; do \
+	set -ex ; for i in 2.7 ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
@@ -36,8 +36,6 @@
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \
 	done
-# This is disabled until I find a way to fix the missing __init__.py in
-# Python 3.4 in the namespaced oslo.*
 #	set -ex ; if [ `lsb_release -c | awk '{print $2}'` = "wheezy" ] ; then \
 #		echo "No Python3 unit tests in Wheezy" ; \
 #	else \
@@ -60,7 +58,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
+	sphinx-build -b html doc/source debian/python-oslo-serialization-doc/usr/share/doc/python-oslo-serialization-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.serialization oslo.serialization-(.*).tar.gz

## python-oslo.serialization 1.9.0

=== requirements.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 # adding a new feature to oslo.serialization means adding a new dependency,
 # that is a likely indicator that the feature belongs somewhere else.
 
-pbr>=0.6,!=0.7,<1.0
+pbr<2.0,>=1.6
 Babel>=1.3
 six>=1.9.0
 msgpack-python>=0.4.0
 # Only for timeutils in openstack.common - once we're using the
 # library version this can be removed.
 iso8601>=0.1.9
-oslo.utils>=1.2.0                       # Apache-2.0
+oslo.utils>=2.0.0 # Apache-2.0
 pytz>=2013.6

=== debian/changelog ===
python-oslo.serialization (1.9.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 15:27:22 +0000

python-oslo.serialization (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop no namepsace test patch.
  * Rebased tz version patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 19:04:38 +0200

python-oslo.serialization (1.8.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed build-depends for this release.
  * Refreshed patch.
  * Removed final dot in short desc and fixed Priority: extra for transition
    packages.
  * Watch file now using github tag and not broken PyPi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 11:07:51 +0000

python-oslo.serialization (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
    - d/p/*: Refresh.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces for Ubuntu *oslo-serialization packages.
    - d/control: Add transitional packages for *oslo-serialization.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:51:15 +0100

python-oslo.serialization (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 17:14:50 +0100

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-iso8601,
                     python-mock (>= 1.3),
                     python-msgpack,
                     python-netaddr (>= 0.7.12),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-tz,
                     python3-babel,
                     python3-iso8601,
                     python3-mock (>= 1.3),
                     python3-msgpack,
                     python3-netaddr (>= 0.7.12),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-tz,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.serialization.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.serialization.git
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo.serialization
Architecture: all
Depends: python-babel,
         python-iso8601,
         python-msgpack,
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-tz,
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-serialization (<< 1.6.0-1~),
Replaces: python-oslo-serialization (<< 1.6.0-1~),
Description: utilities for serialization , especially JSON - Python 2.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.serialization
Architecture: all
Depends: python3-babel,
         python3-iso8601,
         python3-msgpack,
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-tz,
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-serialization (<< 1.6.0-1~),
Replaces: python3-oslo-serialization (<< 1.6.0-1~),
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

Package: python-oslo-serialization
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.serialization,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-serialization
 This transitional package is safe to remove and use
 python-oslo.serialization instead.

Package: python-oslo-serialization-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.serialization-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-serialization-doc
 This transitional package is safe to remove and use
 python-oslo.serialization-doc instead.

Package: python3-oslo-serialization
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.serialization,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo-serialization
 This transitional package is safe to remove and use
 python3-oslo.serialization instead.

## python-oslo.serialization 2.4.0

=== requirements.txt ===
--- 
+++ 
@@ -7,12 +7,9 @@
 # adding a new feature to oslo.serialization means adding a new dependency,
 # that is a likely indicator that the feature belongs somewhere else.
 
-pbr<2.0,>=1.6
-Babel>=1.3
-six>=1.9.0
-msgpack-python>=0.4.0
-# Only for timeutils in openstack.common - once we're using the
-# library version this can be removed.
-iso8601>=0.1.9
-oslo.utils>=2.0.0 # Apache-2.0
-pytz>=2013.6
+pbr>=1.6 # Apache-2.0
+Babel>=1.3 # BSD
+six>=1.9.0 # MIT
+msgpack-python>=0.4.0 # Apache-2.0
+oslo.utils>=3.5.0 # Apache-2.0
+pytz>=2013.6 # MIT

=== debian/changelog ===
python-oslo.serialization (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:36:28 +0000

python-oslo.serialization (2.4.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * d/p/no-version-for-python-tz.patch: Rebased.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 02:40:10 +0000

python-oslo.serialization (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 09:00:48 +0000

python-oslo.serialization (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased pytz version patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 11:35:06 +0100

python-oslo.serialization (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:35:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -16,41 +17,36 @@
 Build-Depends-Indep: python-babel,
                      python-coverage,
                      python-hacking,
-                     python-iso8601,
                      python-mock (>= 1.3),
                      python-msgpack,
                      python-netaddr (>= 0.7.12),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-simplejson,
                      python-six (>= 1.9.0),
                      python-tz,
                      python3-babel,
-                     python3-iso8601,
                      python3-mock (>= 1.3),
                      python3-msgpack,
                      python3-netaddr (>= 0.7.12),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.10.0),
-                     python3-simplejson,
                      python3-six (>= 1.9.0),
                      python3-tz,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.serialization.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.serialization.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.serialization.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.serialization.git
 Homepage: https://github.com/openstack/oslo.serialization
 
 Package: python-oslo.serialization
 Architecture: all
 Depends: python-babel,
-         python-iso8601,
          python-msgpack,
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          python-tz,
@@ -67,9 +63,8 @@
 Package: python3-oslo.serialization
 Architecture: all
 Depends: python3-babel,
-         python3-iso8601,
          python3-msgpack,
-         python3-oslo.utils (>= 2.0.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          python3-tz,

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.serialization.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.serialization; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.serialization; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo.serialization/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.serialization/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.serialization 2.7.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 # that is a likely indicator that the feature belongs somewhere else.
 
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
 six>=1.9.0 # MIT
 msgpack-python>=0.4.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.serialization (2.7.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:35:07 +0000

python-oslo.serialization (2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> in Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:37:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            David Della Vecchia <ddv@canonical.com>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -14,8 +15,7 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
-                     python-coverage,
+Build-Depends-Indep: python-coverage,
                      python-hacking,
                      python-mock (>= 1.3),
                      python-msgpack,
@@ -26,7 +26,6 @@
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-tz,
-                     python3-babel,
                      python3-mock (>= 1.3),
                      python3-msgpack,
                      python3-netaddr (>= 0.7.12),
@@ -37,15 +36,14 @@
                      python3-tz,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.serialization.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.serialization.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.serialization?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-oslo.serialization -b debian/newton
 Homepage: https://github.com/openstack/oslo.serialization
 
 Package: python-oslo.serialization
 Architecture: all
-Depends: python-babel,
-         python-msgpack,
+Depends: python-msgpack,
          python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
@@ -62,8 +60,7 @@
 
 Package: python3-oslo.serialization
 Architecture: all
-Depends: python3-babel,
-         python3-msgpack,
+Depends: python3-msgpack,
          python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),

## python-oslo.serialization 2.13.0

=== requirements.txt ===
--- 
+++ 
@@ -10,5 +10,5 @@
 pbr>=1.6 # Apache-2.0
 six>=1.9.0 # MIT
 msgpack-python>=0.4.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 pytz>=2013.6 # MIT

=== debian/changelog ===
python-oslo.serialization (2.13.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.
  * Removed transition packages.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:13 +0200

python-oslo.serialization (2.13.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-version-for-python-tz.patch: Dropped. No longer needed.

  [ Thomas Goirand ]
  * Fixed VCS URLs to use OpenStack's Gerrit.
  * Simplified debian/rules with openstack-pkg-tools >= 52~ goodies.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Sep 2016 22:52:36 +0200

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-hacking,
                     python-ipaddress (>= 1.0.7),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-netaddr (>= 0.7.12),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-six (>= 1.9.0),
                     python-tz,
                     python3-mock (>= 2.0),
                     python3-msgpack,
                     python3-netaddr (>= 0.7.12),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-six (>= 1.9.0),
                     python3-tz,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.serialization?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.serialization -b debian/newton
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo.serialization
Architecture: all
Depends: python-msgpack,
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-tz,
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-serialization (<< 1.6.0-1~),
Replaces: python-oslo-serialization (<< 1.6.0-1~),
Description: utilities for serialization , especially JSON - Python 2.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.serialization
Architecture: all
Depends: python3-msgpack,
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-tz,
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-serialization (<< 1.6.0-1~),
Replaces: python3-oslo-serialization (<< 1.6.0-1~),
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.serialization.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.serialization 2.16.0

=== debian/changelog ===
python-oslo.serialization (2.16.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 20 Jan 2017 16:38:05 +0000

python-oslo.serialization (2.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add dep-8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Jan 2017 09:56:24 -0500

python-oslo.serialization (2.15.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 10:50:59 -0500

python-oslo.serialization (2.14.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 14:29:31 -0400

python-oslo.serialization (2.13.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-version-for-python-tz.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Aug 2016 15:50:34 -0400

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-hacking (>= 0.10.0),
                     python-ipaddress (>= 1.0.7),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-netaddr (>= 0.7.13),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-tz,
                     python3-mock (>= 2.0),
                     python3-msgpack,
                     python3-netaddr (>= 0.7.13),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-tz,
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
Homepage: https://github.com/openstack/oslo.serialization
Testsuite: autopkgtest-pkg-python

Package: python-oslo.serialization
Architecture: all
Depends: python-msgpack,
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Breaks: python-oslo-serialization (<< 1.6.0-1~),
Replaces: python-oslo-serialization (<< 1.6.0-1~),
Description: utilities for serialization , especially JSON - Python 2.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.serialization
Architecture: all
Depends: python3-msgpack,
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-tz,
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-oslo-serialization (<< 1.6.0-1~),
Replaces: python3-oslo-serialization (<< 1.6.0-1~),
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

Package: python-oslo-serialization
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.serialization, ${misc:Depends}
Description: transitional dummy package for python-oslo-serialization
 This transitional package is safe to remove and use
 python-oslo.serialization instead.

Package: python-oslo-serialization-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.serialization-doc, ${misc:Depends}
Description: transitional dummy package for python-oslo-serialization-doc
 This transitional package is safe to remove and use
 python-oslo.serialization-doc instead.

Package: python3-oslo-serialization
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.serialization, ${misc:Depends}
Description: transitional dummy package for python3-oslo-serialization
 This transitional package is safe to remove and use
 python3-oslo.serialization instead.

## python-oslo.serialization 2.20.0

=== requirements.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 # adding a new feature to oslo.serialization means adding a new dependency,
 # that is a likely indicator that the feature belongs somewhere else.
 
-pbr>=1.6 # Apache-2.0
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.9.0 # MIT
 msgpack-python>=0.4.0 # Apache-2.0
-oslo.utils>=3.16.0 # Apache-2.0
+oslo.utils>=3.20.0 # Apache-2.0
 pytz>=2013.6 # MIT

=== debian/changelog ===
python-oslo.serialization (2.20.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 12 Aug 2017 01:44:49 +0000

python-oslo.serialization (2.20.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:23:39 -0400

python-oslo.serialization (2.19.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 22:16:10 -0400

python-oslo.serialization (2.18.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-coverage (>= 4.0),
                      python-hacking (>= 0.10.0),
@@ -22,15 +22,16 @@
                      python-mock (>= 2.0),
                      python-msgpack,
                      python-netaddr (>= 0.7.13),
+                     python-openstackdocstheme (>= 1.11.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-tz,
                      python3-mock (>= 2.0),
                      python3-msgpack,
                      python3-netaddr (>= 0.7.13),
+                     python3-openstackdocstheme (>= 1.11.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.utils (>= 3.18.0),
                      python3-oslotest (>= 1.10.0),
@@ -48,7 +49,7 @@
 Architecture: all
 Depends: python-msgpack,
          python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-six (>= 1.9.0),
          python-tz,
          ${misc:Depends},
@@ -65,7 +66,7 @@
 Architecture: all
 Depends: python3-msgpack,
          python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.8),
+         python3-pbr (>= 2.0.0),
          python3-six (>= 1.9.0),
          python3-tz,
          ${misc:Depends},
